6.0.0-git
2021-01-18

[#6103] Broken iCalendar line folding with multibyte charsets
Summary Broken iCalendar line folding with multibyte charsets
Queue Horde Framework Packages
Queue Version HEAD
Type Bug
State Resolved
Priority 2. Medium
Owners jan (at) horde (dot) org
Requester yohann.fourteau (at) aitb (dot) org
Created 2008-01-11 (4756 days ago)
Due
Updated 2008-01-24 (4743 days ago)
Assigned 2008-01-20 (4747 days ago)
Resolved 2008-01-24 (4743 days ago)
Milestone
Patch No

History
2008-01-24 16:49:33 Jan Schneider Comment #4
State ⇒ Resolved
Reply to this comment
Fixed in CVS.
2008-01-20 18:57:34 Jan Schneider Summary ⇒ Broken iCalendar line folding with multibyte charsets
State ⇒ Assigned
 
2008-01-14 10:18:31 yohann (dot) fourteau (at) aitb (dot) org Comment #3 Reply to this comment
Can you try if the following patch (to
horde/libs/Horde/iCalendar.php) fixes this issue?
It doesn't work.

If I force the charset to utf-8, it works...

(the calendar is always in UTF8)



With that

$result .= $this->_foldLine($attr_string, 'utf-8') . $this->_newline;

instead of

$result .= $this->_foldLine($attr_string, NLS::getCharset()) . 
$this->_newline;



at line 1017



Thanks for your reactivity !!

Yohann


2008-01-13 18:03:32 Jan Schneider Comment #2
Version ⇒ HEAD
Queue ⇒ Horde Framework Packages
State ⇒ Feedback
Reply to this comment
Can you try if the following patch (to horde/libs/Horde/iCalendar.php) 
fixes this issue?

http://cvs.horde.org/diff.php?f=framework%2FiCalendar%2FiCalendar.php&r1=1.127&r2=1.130&t=unified
2008-01-11 18:20:41 Jan Schneider Assigned to Jan Schneider
State ⇒ Assigned
 
2008-01-11 16:11:03 yohann (dot) fourteau (at) aitb (dot) org Comment #1
Type ⇒ Bug
State ⇒ Unconfirmed
Priority ⇒ 2. Medium
Summary ⇒ mbstring problem in iCalendar webcal access
Queue ⇒ Kronolith
Reply to this comment
I'm french so my charset is iso-8859-1 and when I want to use the 
calendar through webcal with the URL :

http://webmail/horde/rpc.php/kronolith/fourteau.ics

Horde send me the calendar in UTF8. Ok no problem here.



But, I had some problem with sunbird with utf8 decoding and I had to 
look into the horde code.

In /horde/lib/Horde/iCaldendar.php, function _foldLine, the command 
String::substr is used but without passing the charset variable so it 
uses the default charset which is for me iso-8859-1 (not mbyte string) 
and not utf-8 (mbyte string)...



The foldline function cuts some mbyte and sunbird or lightning under 
thunderbird doesn't like that very much...





I can't provide a patch, i don't enough know the horde code.



Thank you for your help.

Saved Queries